%define rel 2

Name:          lxqt-runner
Version: 0.16.0
Release:       %mkrel %rel
Summary:       Launcher runner for the LXQt desktop
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt.github.io/
Source0:       https://github.com/lxqt/lxqt-runner/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: pkgconfig(lxqt)
BuildRequires: pkgconfig(lxqt-globalkeys)
BuildRequires: pkgconfig(lxqt-globalkeys-ui)
BuildRequires: pkgconfig(Qt5Script)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(libmenu-cache)
BuildRequires: pkgconfig(muparser)

Obsoletes:     razorqt-runner < 0.5.3-1

Conflicts:     lxqt-common < 0.12.0
Obsoletes:     lxqt-common < 0.12.0

Conflicts:     lxqt-l10n < 0.13.0-4

%description
Launcher runner for the LXQt desktop.

%prep
%setup -q

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%files
%{_sysconfdir}/xdg/autostart/lxqt-runner.desktop
%{_bindir}/lxqt-runner
%{_mandir}/man1/lxqt-runner.1*
%{_datadir}/lxqt/translations/lxqt-runner/


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 0.16.0-2.mga8
+ Revision: 1659000
- Rebuild for new Qt5

* Sat Nov 07 2020 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1643185
- New version 0.16.0
- update Url

* Sat Apr 25 2020 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1571817
- New version 0.15.0

* Sat Feb 15 2020 umeabot <umeabot> 0.14.1-3.mga8
+ Revision: 1524814
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 0.14.1-2.mga7
+ Revision: 1383298
- Qt5 Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 0.14.1-1.mga7
+ Revision: 1380837
- new version: 0.14.1

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-1.mga7
+ Revision: 1361383
- New version 0.14.0

* Fri Dec 28 2018 daviddavid <daviddavid> 0.13.0-3.mga7
+ Revision: 1345480
- rebuild for new Qt5 5.12.0

* Sun Sep 23 2018 umeabot <umeabot> 0.13.0-2.mga7
+ Revision: 1299412
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 daviddavid <daviddavid> 0.13.0-1.mga7
+ Revision: 1235872
- New version 0.13.0

* Tue Nov 07 2017 neoclust <neoclust> 0.12.0-2.mga7
+ Revision: 1176383
- lxqt-common does not exist anymore

* Thu Nov 02 2017 neoclust <neoclust> 0.12.0-1.mga7
+ Revision: 1175556
- New version 0.12.0

* Fri Mar 17 2017 neoclust <neoclust> 0.11.1-1.mga6
+ Revision: 1093319
- New version 0.11.1

* Wed Nov 09 2016 neoclust <neoclust> 0.11.0-1.mga6
+ Revision: 1066119
- New version 0.11.0
+ pterjan <pterjan>
- Silence tar

* Mon Mar 28 2016 umeabot <umeabot> 0.10.0-5.mga6
+ Revision: 995920
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 neoclust <neoclust> 0.10.0-3.mga6
+ Revision: 900917
- Rebuild against fixed qtbase5
- Use qt5 cmake macro
- New version 0.10.0

* Sun Feb 22 2015 doktor5000 <doktor5000> 0.9.0-1.mga5
+ Revision: 816437
- new version 0.9.0
- remove conditional handling for QT5 as QT4 is not supported anymore
- adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)
- use new URL http://downloads.lxqt.org/lxqt/

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.8.0-3.mga5
+ Revision: 803668
- rebuild for QT 5.4 breakage

* Sat Oct 25 2014 doktor5000 <doktor5000> 0.8.0-2.mga5
+ Revision: 793188
+ rebuild (emptylog)

* Sun Oct 19 2014 doktor5000 <doktor5000> 0.8.0-1.mga5
+ Revision: 790765
- add missing BuildRequires on BuildRequires: pkgconfig(Qt5Help)
- new version 0.8
- enabled QT5 build
- correct license
- added missing BuildRequires on pkgconfig(Qt5Script)

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-4.mga5
+ Revision: 746298
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-3.mga5
+ Revision: 682097
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 wally <wally> 0.7.0-2.mga5
+ Revision: 675029
- obsolete razorqt-runner

* Sun May 25 2014 doktor5000 <doktor5000> 0.7.0-1.mga5
+ Revision: 626363
- use %%mkrel
- fix and add missing BuildRequires
- imported package lxqt-runner


* Thu May 08 2014 Bernhard Rosenkraenzer <bero@lindev.ch> 0.7.0-1
+ Revision: ee99b6a
- Add build deps


